astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- VO Simple Cone Search (`astroquery.vo_conesearch`) »
- predict_search

# predict_search

astroquery.vo_conesearch.conesearch.predict_search(url, *args, **kwargs)

  Predict the run time needed and the number of objects for a Cone Search for the given access URL, position, and radius.

  Run time prediction uses `astroquery.utils.timer.RunTimePredictor`. Baseline searches are done with starting and ending radii at 0.05 and 0.5 of the given radius, respectively.

  Extrapolation on good data uses least-square straight line fitting, assuming linear increase of search time and number of objects with radius, which might not be accurate for some cases. If there are less than 3 data points in the fit, it fails.

  Warnings (controlled by `warnings`) are given when:

  > 1. Fitted slope is negative.

  > 2. Any of the estimated results is negative.

  > 3. Estimated run time exceeds `astroquery.vo_conesearch.conf.timeout`.

  Note

  If `verbose=True`, extra log info will be provided. But unlike `conesearch_timer()`, timer info is suppressed.

  The predicted results are just rough estimates.

  Prediction is done using `astroquery.vo_conesearch.core.ConeSearchClass`. Prediction for `AsyncConeSearch` is not supported.

  Parameters:
    url str

      Cone Search access URL to use.

    plot bool

      If `True`, plot will be displayed. Plotting uses matplotlib.

    args, kwargs

      See `astroquery.vo_conesearch.core.ConeSearchClass.query_region()`.

  Returns:
    t_est float

      Estimated time in seconds needed for the search.

    n_est int

      Estimated number of objects the search will yield.

  Raises:
    AssertionError

      If prediction fails.

    ConeSearchError

      If input parameters are invalid.

    VOSError

      If VO service request fails.